<?php
/**
*
* @package Privacy Policy Extension
* @copyright (c) 2018 david63
* @license GNU General Public License, version 2 (GPL-2.0)
*
* Polish translation by GZ
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

/// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'COOKIE_EDIT_EXPLAIN'				=> 'Tu możesz wyjaśnić politykę plików cookie na forum.',
	'COOKIE_EDIT_EXPLAIN_NEW'			=> 'Tu możesz dodać nową plitykę plików cookie.<br />Polityka plików cookie jest wyświetlana gdy jest włączona i gdy użytkownik klikni w link “Polityka” w dolnym pasku nawigacji.',

	'POLICY_DESCRIPTION'				=> 'Nazwa pliku polityki',
	'POLICY_DESCRIPTION_EXPLAIN'		=> 'Wyświetlana nazwa tego pliku polityki powinna być przetłumaczona na wymagany język.',
	'POLICY_EDIT'						=> 'Edytor plików polityki',
	'POLICY_EDIT_EXPLAIN'				=> 'Tu możesz wybrać który plik tekstu polityki chcesz edytować, lub utworzyć nowy plik polityki w wybranym języku.',
	'POLICY_FILE_OPTIONS'	   			=> 'Opcje pliku polityki',
	'POLICY_SELECT_FILE'		   		=> 'Wybierz plik',
	'POLICY_SELECT_LANGUAGE'			=> 'Wybierz język',
	'PRIVACY_ACCEPT_EDIT_EXPLAIN'		=> 'Tu możesz dostosować Akceptację Polityki Prywatności dla forum.',
	'PRIVACY_ACCEPT_EDIT_EXPLAIN_NEW'	=> 'Tu możasz dodać nową Akceptację Polityki Prywatności.<br />Akceptacja Polityki Prywatności jest wyświetlana po Polityce Prywatności.',
	'PRIVACY_EDIT_EXPLAIN'				=> 'Tu możesz dostosować Politykę Prywatności dla forum.',
	'PRIVACY_EDIT_EXPLAIN_NEW'			=> 'Tu możesz dodać nową Politykę Prywatności.<br />Polityka Prywatności jest główną polityką opisującą zasady prywatności na forum.',

	'TERM_OF_USE_EDIT_EXPLAIN'			=> 'Tu możesz dostosować dodatkową politykę zasad używania na forum.',
	'TERM_OF_USE_EDIT_EXPLAIN_NEW'		=> 'Tu możesz dodać nową politykę zasad używania na forum.<br />Jest to wyświetlane po głównych Zasadach Używania jeśli ktoś chce zarejestrować się na forum.',

	'SITENAME'							=> 'Nazwa witryny',
	'SITENAME_HELP'						=> 'Wstaw symbol nazwy witryny (%sitename%)',

	'VERSION'				   			=> 'Wersja',
));
