<?php
/**
*
* @package Privacy Policy Extension
* @copyright (c) 2018 david63
* * @license GNU General Public License, version 2 (GPL-2.0)
*
* Polish translation by GZ
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

/// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'ALL'									=> 'Wszystkie strony',

	'CLICK_TO_SELECT'						=> 'Kliknij pole, aby wybrać kolor',

	'COOKIE_BLOCK_LINKS'					=> 'Zablokuj wszystkie linki',
	'COOKIE_BLOCK_LINKS_EXPLAIN'			=> 'Uniemożliwianie użytkownikowi dostępu do jakichkolwiek linków na forum, dopóki nie zaakceptują Zasad dotyczących plików cookie.',
	'COOKIE_BOX_BDR_COLOUR'					=> 'Kolor ramki na ciasteczko',
	'COOKIE_BOX_BDR_COLOUR_EXPLAIN'			=> 'Wybierz kolor ramki akceptacji plików cookie.<br />Domyślnym kolorem jest <strong>“#FFFF8A”</strong>',
	'COOKIE_BOX_BDR_WIDTH'					=> 'Szerokość ramki na ciasteczko',
	'COOKIE_BOX_BDR_WIDTH_EXPLAIN'			=> 'Wybierz szerokość ramki akceptacji plików cookie.<br />Domyślna szerokość to <strong>“1”</strong>',
	'COOKIE_BOX_BG_COLOUR'					=> 'Kolor tła ciasteczka',
	'COOKIE_BOX_BG_COLOUR_EXPLAIN'			=> 'Wybierz kolor tła pola akceptacji plików cookie.<br />Domyślny kolor to <strong>“#00608F”</strong>',
	'COOKIE_BOX_HREF_COLOUR'				=> 'Kolor łącza do pliku cookie',
	'COOKIE_BOX_HREF_COLOUR_EXPLAIN'		=> 'Wybierz kolor łącza akceptacji dla pola akceptacji plików cookie.<br />Domyślny kolor to <strong>“#FFFFFF”</strong>',
	'COOKIE_BOX_TXT_COLOUR'					=> 'Kolor tekstu pola cookie',
	'COOKIE_BOX_TXT_COLOUR_EXPLAIN'			=> 'Wybierz kolor tekstu w polu akceptacji plików cookie.<br />Domyślny kolor to <strong>“#DBDB00”</strong>',

	'COOKIE_CUSTOM_PAGE'					=> 'Użyj niestandardowych kolorów stron cookie',
	'COOKIE_CUSTOM_PAGE_CORNERS'			=> 'Użyj zaokrąglonych narożników',
	'COOKIE_CUSTOM_PAGE_CORNERS_EXPLAIN'	=> 'Użyj zaokrąglonych narożników na stronie z polityką plików cookie.<br />Ustawienie <strong>Nie</strong> oznacza, że strona ma kwadratowe rogi.',
	'COOKIE_CUSTOM_PAGE_EXPLAIN'			=> 'Użyj niestandardowych kolorów dla strony z polityką plików cookie.<br />Ustawienie <strong>Nie</strong> spowoduje użycie domyślnych kolorów ze swojego stylu.',
	'COOKIE_CUSTOM_PAGE_RADIUS'				=> 'Niestandardowy promień strony',
	'COOKIE_CUSTOM_PAGE_RADIUS_EXPLAIN'		=> 'Ustawia liczbę pikseli do zaokrąglenia niestandardowych narożników strony Cookie. Ustawienie na 0 oznacza, że strona będzie miała kwadratowe rogi.<br /><em>Ustawieniem domyślnym dla prosilver jest 7px.</em>',

	'COOKIE_EXPIRE'							=> 'Ważność plików cookie',
	'COOKIE_EXPIRE_EXPLAIN'					=> 'Ustawienie tego na "tak" będzie wymagało od użytkownika ponownego zaakceptowania Polityki plików cookie co roku.',

	'COOKIE_PAGE_BG_COLOUR'					=> 'Niestandardowy kolor tła strony z ciasteczkami',
	'COOKIE_PAGE_BG_COLOUR_EXPLAIN'			=> 'Wybierz kolor tła strony Zasady dotyczące plików cookie.',
	'COOKIE_PAGE_TXT_COLOUR'				=> 'Niestandardowy kolor tekstu strony z ciasteczkami',
	'COOKIE_PAGE_TXT_COLOUR_EXPLAIN'		=> 'Wybierz kolor tekstu strony Zasady dotyczące plików cookie.',

	'COOKIE_POLICY_ENABLE'					=> 'Włącz zasady dotyczące plików cookie',
	'COOKIE_POLICY_ENABLE_EXPLAIN'			=> 'Włącz/wyłącz wszystkie wymagania użytkownika dotyczące akceptowania plików cookie na podstawie dyrektywy UE w sprawie plików cookie (2012) na tym forum.',
	'COOKIE_POLICY_EXPLAIN'					=> 'Tutaj możesz ustawić opcje zarządzania Polityką Prywatności i Plików Cookie.',
	'COOKIE_POLICY_ON_INDEX'				=> 'Pokaż tylko na stronie głównej',
	'COOKIE_POLICY_ON_INDEX_EXPLAIN'		=> 'Pokaż pole akceptacji zasad dotyczących plików cookie tylko na stronie głównej lub na wszystkich stronach.',
	'COOKIE_POLICY_OPTIONS'					=> 'Opcje polityki plików cookie',

	'COOKIE_REQUIRE'						=> 'Wymagaj akceptacji plików cookie',
	'COOKIE_REQUIRE_EXPLAIN'				=> 'Wymagaj akceptacji ciasteczek na forum, zanim członek będzie mógł się zarejestrować lub zalogować.<br />Ustawienie tego na "Tak" nadal umożliwi użytkownikowi przeglądanie forum (z zastrzeżeniem uprawnień).',

	'COOKIE_SHOW_POLICY'					=> 'Pokaż politykę prywatności/cookie',
	'COOKIE_SHOW_POLICY_EXPLAIN'			=> 'Ustawienie tego na TAK spowoduje wyświetlenie linku w pasku nawigacji do Polityki prywatności/plików cookie, gdy zasady dotyczące plików cookie zostaną wyłączone, tj. Możesz mieć politykę prywatności/plików cookie bez konieczności posiadania pola akceptacji.',

	'CUSTOM_BOX_COLOURS'					=> 'Kolory póla informacyjnego ciasteczek',
	'CUSTOM_BOX_COLOURS_EXPLAIN'			=> '<strong>Tutaj możesz zmienić kolory, aby pasowały do Twojego stylu w polu akceptacji plików cookie.</strong>',
	'CUSTOM_PAGE_COLOURS'					=> 'Niestandardowe opcje strony z plikami cookie',
	'CUSTOM_PAGE_COLOURS_EXPLAIN'			=> '<strong>Tutaj możesz zmienić kolory i/lub ustawić zaokrąglone rogi, aby dopasować je do swojego stylu na stronie z zasadami dotyczącymi plików cookie.</strong>',
    
	'PIXELS'								=> 'px',
	'POLICIES'								=> 'Zasady',
	'PRIVACY_POLICY_ENABLE'					=> 'Włącz politykę prywatności',
	'PRIVACY_POLICY_ENABLE_EXPLAIN'			=> 'Włącz / wyłącz wszystkie wymagania użytkownika, aby zaakceptować RODO (GDPR 2018) na tym forum.',
	'PRIVACY_POLICY_LIST_LINES'				=> 'Linie polityki prywatności',
	'PRIVACY_POLICY_LIST_LINES_EXPLAIN'		=> 'Liczba linii do wyświetlenia w <em>Linie polityki prywatności</em>.',
	'PRIVACY_POLICY_OPTIONS'				=> 'Opcje polityki prywatności',
	'PRIVACY_POLICY_FORCE'					=> 'Wymuś akceptację prywatności',
	'PRIVACY_POLICY_FORCE_EXPLAIN'			=> 'Wymuś na wszystkich użytkowników forum, aby zaakceptowali RODO (GDPR 2018).',
	'PRIVACY_POLICY_RESET'					=> 'Zresetuj akceptację zasad',
	'PRIVACY_POLICY_RESET_EXPLAIN'			=> 'Zresetuj akceptację zasad, aby członkowie musieli ponownie zaakceptować Politykę prywatności.<br />Po uruchomieniu tego, musisz ustawić "<strong>Wymuś akceptację prywatności</strong>" na "<strong>Tak</strong>"<br />Ustawienie tej opcji na "Tak" również zresetuje pliki cookie phpBB, zmuszając wszystkich zalogowanych użytkowników do ponownego zalogowania się.',
    'PRIVACY_POLICY_REMOVE'                 => 'Usuń konto użytkownika',
	'PRIVACY_POLICY_REMOVE_EXPLAIN'         => 'Wyświetla w panelu użytkownika link z prośbą o usunięcie konta.',
	'VERSION'								=> 'Wersja',
));
