<?php
/**
*
* @package Privacy Policy Extension
* @copyright (c) 2018 david63
* * @license GNU General Public License, version 2 (GPL-2.0)
*
* Polish translation by GZ
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

/// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'ACCEPT_DATE'		=> 'Data akceptacji zasad',

	'BIRTHDAY'			=> 'Urodziny',

	'NO_BIRTHDAY'		=> 'Nie wprowadzono urodzin',
	'NO_DATA_ENTERED'	=> 'Żadne dane nie zostały wprowadzone',
	'NOT_ACCEPTED'		=> 'Zasady nie zostały zaakceptowane',

	'REG_DATE'			=> 'Data rejestracji',
	'REG_IP'			=> 'Adres IP rejestracji',

	'USERNAME'			=> 'Nazwa użytkownika',
	'USER_IPS'			=> 'Adresy IP, z których korzystałeś',
	
	'VERSION'			=> 'Version',

	'priv_months'		=> array(
		1	=> 'Styczeń',
		2	=> 'Luty',
		3	=> 'Marzec',
		4	=> 'Kwiecień',
		5	=> 'Maj',
		6	=> 'Czerwiec',
		7	=> 'Lipiec',
		8	=> 'Sierpień',
		9 	=> 'Wrzesień',
		10	=> 'Październik',
		11	=> 'Listopad',
		12	=> 'Grudzień',
	),
));
